[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.AssignBrushData

Sets the Brush data for the canvas.

## Declaration

Source position: lazcanvas.pas line 148

`public procedure TLazCanvas.AssignBrushData(`
`ABrush: TFPCustomBrush`
`);`

## Arguments

`ABrush` |  | Brush data stored in the method.

## Description

Utilized by LCLIntf.SelectObject and by the RestoreState method. This is needed because calling Assign for the Pen, Brush, or Font properties raises exceptions.